# This file created by conda-build 3.10.3
# meta.yaml template originally from:
# /local/builds/bob/bob.db.nivl/conda, last modified Fri Jul 20 16:51:19 2018
# ------------------------------------------------

package:
    name: bob.db.nivl
    version: 1.0.1
build:
    number: '0'
    run_exports:
        - bob.db.nivl >=1.0.1,<2.0a0
    script:
        - cd /local/builds/bob/bob.db.nivl/conda/..
        - python setup.py install --single-version-externally-managed --record record.txt
        - bob_dbmanage.py nivl download --missing
    script_env:
        - DOCSERVER
    string: py27h7f092e8_0
requirements:
    host:
        - blas 1.0 mkl
        - bob.blitz 2.0.16 py27hac2ea6f_0
        - bob.core 2.2.1 py27hac2ea6f_0
        - bob.db.base 3.0.1 py27h28a5d26_0
        - bob.extension 3.1.0 py27h6c8ecfd_0
        - bob.io.base 3.0.4 py27h12a88d4_0
        - bob.io.image 2.4.2 py27hd33571a_0
        - boost 1.65.1 py27_4
        - bzip2 1.0.6 h14c3975_5
        - ca-certificates 2018.03.07 0
        - certifi 2018.4.16 py27_0
        - click 6.7 py27h4225b90_0
        - click-plugins 1.0.3 py27_0
        - giflib 5.1.4 h63890e4_4
        - hdf5 1.10.1 h9caa474_1
        - icu 58.2 h9c2bf20_1
        - intel-openmp 2018.0.3 0
        - jpeg 9b h024ee3a_2
        - libblitz 1.0.1 h5c30f38_0
        - libboost 1.65.1 habcd387_4
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 7.2.0 hdf63c60_3
        - libgfortran-ng 7.2.0 hdf63c60_3
        - libpng 1.6.34 hb9fc6fc_0
        - libstdcxx-ng 7.2.0 hdf63c60_3
        - libtiff 4.0.9 he85c1e1_1
        - mkl 2018.0.3 1
        - mkl_fft 1.0.2 py27h651fb7a_0
        - mkl_random 1.0.1 py27h4414c95_1
        - ncurses 6.1 hf484d3e_0
        - numpy 1.14.5 py27h1b885b7_4
        - numpy-base 1.14.5 py27hdbf6ddf_4
        - openssl 1.0.2o h20670df_0
        - py-boost 1.65.1 py27hf484d3e_4
        - python 2.7.15 h1571d57_0
        - readline 7.0 ha6073c6_4
        - setuptools 39.2.0 py27_0
        - six 1.11.0 py27_1
        - sqlalchemy 1.2.8 py27h14c3975_0
        - sqlite 3.24.0 h84994c4_0
        - tk 8.6.7 hc745277_3
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 ha838bed_2
    run:
        - bob.db.base >=3.0.1,<4.0a0
        - python >=2.7,<2.8.0a0
        - setuptools
        - six
test:
    commands:
        - nosetests --with-coverage --cover-package=bob.db.nivl -sv bob.db.nivl
        - sphinx-build -aEW /local/builds/bob/bob.db.nivl/conda/../doc /local/builds/bob/bob.db.nivl/conda/../sphinx
        - sphinx-build -aEb doctest /local/builds/bob/bob.db.nivl/conda/../doc sphinx
        - conda inspect linkages -p $PREFIX bob.db.nivl
    imports:
        - bob.db.nivl
    requires:
        - bob-devel 2018.07.06.*
        - coverage
        - nose
        - sphinx
        - sphinx_rtd_theme
about:
    home: https://www.idiap.ch/software/bob/
    license: BSD License
    license_family: BSD
    summary: Near-Infrared and Visible-Light (NIVL) Dataset
extra:
    copy_test_source_files: true
    final: true
